Title Specify and use multiple keyservers
Priority feature Status resolved
Category gnupg Due Date
Version ExtLink (go)
Superseder Nosy List dleidert, dshaw, justus
Assigned To justus Topics gpg21  (help)

Created on 2009-05-07.10:07:42 by dleidert, last changed 2015-12-04.12:08:45 by justus.

msg7501 (view) Author: justus Date: 2015-12-04.12:08:45
Err, fixed in 6ac57a48.
msg7500 (view) Author: justus Date: 2015-12-04.12:07:26
Fixed in
msg6313 (view) Author: werner Date: 2015-05-11.18:50:57
(funny due date removed)

Lot of things pertaining to keyservers changed in the meantime and we have a
couple of other things in mind as well.
msg3320 (view) Author: werner Date: 2009-09-03.17:28:45
We will do this in 2.1 and maybe backport it later
msg3030 (view) Author: dleidert Date: 2009-05-31.23:43:04
See these threads for example:

The common use case is, that one wants to fetch keys from a "local" keyserver
(the Debian/Ubuntu keyserver) and a public one.
msg3029 (view) Author: dshaw Date: 2009-05-31.23:27:31
The internals are already set for multiple keyservers (opt.keyserver is a
strlist, etc.)  I had to implement it for the auto-key-retrieve feature, which
does support multiple servers.

I suppose the use case here is to try a local keyserver (say, company-specific)
before trying a global one?
msg2945 (view) Author: werner Date: 2009-05-07.19:12:38
Using multiple keyserver might be a usable thing but with the current
infrastructure it is not easy to implement.

Asking several keyservers at once is not polite.  Having a fallback keyserver
would be a nice feature, though.
msg2940 (view) Author: dleidert Date: 2009-05-07.10:07:42
This has originally been reported as Debian bug #93656: Would you say that the
issue described there is the same as
(I'm not sure about the intention of #139) and that it will never be possible to
use multiple keyservers simultaneously or after-each-other?
Date User Action Args
2015-12-04 12:08:45justussetstatus: chatting -> resolved
messages: + msg7501
2015-12-04 12:07:26justussetmessages: + msg7500
2015-12-03 16:02:22justussetassignedto: justus
nosy: + justus
2015-05-11 18:50:57wernersetpriority: wish -> feature
messages: + msg6313
duedate: 2010-02-01.00:00:00 ->
2013-04-22 07:54:11wernersettopic: + gpg21
2009-09-03 17:28:45wernersetmessages: + msg3320
duedate: 2010-02-01.00:00:00
2009-05-31 23:43:04dleidertsetmessages: + msg3030
2009-05-31 23:27:31dshawsetnosy: + dshaw
messages: + msg3029
2009-05-07 19:12:38wernersetcategory: gnupg
status: unread -> chatting
messages: + msg2945
2009-05-07 10:07:42dleidertcreate